#ifndef __OOTILE3_H__
#define __OOTILE3_H__

#include "ooctahedron.h"

//////////////////////////////////////////////////////////////////////////////
// OOTile3
//

class OOTile3 : public OOctahedron
{

//////////////////////////////////////////////////
// Initialization
//
public:
  OOTile3();
  virtual ~OOTile3();

  virtual VOID InitOutline();

//////////////////////////////////////////////////
// Output
//
public:
  virtual VOID OutputES(FILE *fpOutputFile, 
			CHAR *paletteFilename,
			CHAR *colorFilename);

//////////////////////////////////////////////////
// Accessor Functions
//
public:
  virtual inline UINT_32 GetType();
  virtual VOID FindMatrices(Matrix &m1, Matrix &m2, TilePoint *tpt1);

//////////////////////////////////////////////////
// Class Variables
//
protected:

//////////////////////////////////////////////////
// Member Variables
//
protected:

};

//////////////////////////////////////////////////////////////////////
// Inlined Functions
//

inline UINT_32 OOTile3::GetType()
{
  return estOOTile3;
}

#endif // __OOTILE3_H__
