#ifndef __OTTILE2_H__
#define __OTTILE2_H__

#include "otetrahedron.h"

//////////////////////////////////////////////////////////////////////////////
// OTTile2
//

class OTTile2 : public OTetrahedron
{

//////////////////////////////////////////////////
// Initialization
//
public:
  OTTile2();
  virtual ~OTTile2();

//////////////////////////////////////////////////
// Output
//
public:
  virtual VOID OutputES(FILE *fpOutputFile, 
			CHAR *paletteFilename,
			CHAR *colorFilename);

//////////////////////////////////////////////////
// Accessor Functions
//
public:
  virtual inline UINT_32 GetType();
  virtual VOID FindMatrices(Matrix &m1, Matrix &m2, TilePoint *tpt1);

//////////////////////////////////////////////////
// Class Variables
//
protected:

//////////////////////////////////////////////////
// Member Variables
//
protected:

};

//////////////////////////////////////////////////////////////////////
// Inlined Functions
//

inline UINT_32 OTTile2::GetType()
{
  return estOTTile2;
}

#endif // __OTTILE2_H__
