#ifndef __ODTILE3_H__
#define __ODTILE3_H__

#include "ododecahedron.h"

//////////////////////////////////////////////////////////////////////////////
// ODTile3
//

class ODTile3 : public ODodecahedron
{

//////////////////////////////////////////////////
// Initialization
//
public:
  ODTile3();
  virtual ~ODTile3();

  virtual VOID InitOutline();

//////////////////////////////////////////////////
// Output
//
public:
  virtual VOID OutputES(FILE *fpOutputFile);

//////////////////////////////////////////////////
// Accessor Functions
//
public:
  virtual inline UINT_32 GetType();
  virtual VOID FindMatrices(Matrix &m1, Matrix &m2, TilePoint *tpt1);

//////////////////////////////////////////////////
// Class Variables
//
protected:

//////////////////////////////////////////////////
// Member Variables
//
protected:

};

//////////////////////////////////////////////////////////////////////
// Inlined Functions
//

inline UINT_32 ODTile3::GetType()
{
  return estODTile3;
}

#endif // __ODTILE3_H__
