#ifndef __OITILE3_H__
#define __OITILE3_H__

#include "oicosahedron.h"

//////////////////////////////////////////////////////////////////////////////
// OITile3
//

class OITile3 : public OIcosahedron
{

//////////////////////////////////////////////////
// Initialization
//
public:
  OITile3();
  virtual ~OITile3();

  virtual VOID InitOutline();

//////////////////////////////////////////////////
// Output
//
public:
  virtual VOID OutputES(FILE *fpOutputFile);

//////////////////////////////////////////////////
// Accessor Functions
//
public:
  virtual inline UINT_32 GetType();
  virtual VOID FindMatrices(Matrix &m1, Matrix &m2, TilePoint *tpt1);

//////////////////////////////////////////////////
// Class Variables
//
protected:

//////////////////////////////////////////////////
// Member Variables
//
protected:

};

//////////////////////////////////////////////////////////////////////
// Inlined Functions
//

inline UINT_32 OITile3::GetType()
{
  return estOITile3;
}

#endif // __OITILE3_H__
