#ifndef __OOCTAHEDRON_H__
#define __OOCTAHEDRON_H__

#include "symmetrygroup.h"

//////////////////////////////////////////////////////////////////////////////
// Ooctahedron
//

class OOctahedron : public SymmetryGroup
{

//////////////////////////////////////////////////
// Initialization
//
public:
  OOctahedron();
  virtual ~OOctahedron();

  virtual VOID InitFaceGrid();
  virtual VOID InitSphereFaceGrid();
  virtual VOID InitOutline();

  virtual VOID InitFaceMatrices();
  virtual VOID InitTileMatrices();

//////////////////////////////////////////////////
// Rendering
//
public:

//////////////////////////////////////////////////
// Output
//
public:
  virtual VOID OutputES(FILE *fpOutputFile);

//////////////////////////////////////////////////
// Accessor Functions
//
public:
  virtual inline UINT_32 GetType() = 0;

  virtual VOID FindMatrices(Matrix &m1, Matrix &m2, TilePoint *tpt1);

//////////////////////////////////////////////////
// Class Variables
//
protected:

//////////////////////////////////////////////////
// Member Variables
//
protected:

};

//////////////////////////////////////////////////////////////////////
// Inlined Functions
//


#endif // __OOCTAHEDRON_H__
