#ifndef __OTETRAHEDRON_H__
#define __OTETRAHEDRON_H__

#include "symmetrygroup.h"

//////////////////////////////////////////////////////////////////////////////
// OTetrahedron
//

class OTetrahedron : public SymmetryGroup
{

//////////////////////////////////////////////////
// Initialization
//
public:
  OTetrahedron();
  virtual ~OTetrahedron();

  virtual VOID InitFaceGrid();
  virtual VOID InitSphereFaceGrid();
  virtual VOID InitOutline();

  virtual VOID InitFaceMatrices();
  virtual VOID InitTileMatrices();

//////////////////////////////////////////////////
// Rendering
//
public:

//////////////////////////////////////////////////
// Output
//
public:
  virtual VOID OutputES(FILE *fpOutputFile);

//////////////////////////////////////////////////
// Accessor Functions
//
public:

  virtual inline UINT_32 GetType() = 0;
  virtual VOID FindMatrices(Matrix &m1, Matrix &m2, TilePoint *tpt1);

//////////////////////////////////////////////////
// Class Variables
//
protected:

//////////////////////////////////////////////////
// Member Variables
//
protected:

};

//////////////////////////////////////////////////////////////////////
// Inlined Functions
//




#endif // __OTETRAHEDRON_H__
