#ifndef __ESTYPES_H__
#define __ESTYPES_H__


// Selection types
#define SELECTED_NOTHING       1234567890
#define SELECTED_OUTLINE_POINT 1234567891
#define SELECTED_OUTLINE_EDGE  1234567892
#define SELECTED_INNER_POINT   1234567893
#define SELECTED_INNER_EDGE    1234567894
#define SELECTED_HOLE_POINT    1234567895
#define SELECTED_TILE          1234567896


enum ESType
{
  estOTTile1, // Tetrahedron
  estOTTile2,
  estOCTile1, // Cube
  estOCTile2,
  estOCTile3,
  estOOTile1, // Octahedron
  estOOTile2,
  estOOTile3,
  estOITile1, // Icosahedron
  estOITile2,
  estOITile3,
  estODTile1, // Dodecahedron
  estODTile2,
  estODTile3,
  estSize
};

#endif // __ESTYPES_H__



