#ifndef __OCTILE3_H__
#define __OCTILE3_H__

#include "ocube.h"

//////////////////////////////////////////////////////////////////////////////
// OCTile3
//

class OCTile3 : public OCube
{

//////////////////////////////////////////////////
// Initialization
//
public:
  OCTile3();
  virtual ~OCTile3();

  virtual VOID InitOutline();

//////////////////////////////////////////////////
// Output
//
public:
  virtual VOID OutputES(FILE *fpOutputFile, 
			CHAR *paletteFilename,
			CHAR *colorFilename);

//////////////////////////////////////////////////
// Accessor Functions
//
public:
  virtual inline UINT_32 GetType();

  virtual VOID FindMatrices(Matrix &m1, Matrix &m2, TilePoint *tpt1);

//////////////////////////////////////////////////
// Class Variables
//
protected:

//////////////////////////////////////////////////
// Member Variables
//
protected:

};

//////////////////////////////////////////////////////////////////////
// Inlined Functions
//

inline UINT_32 OCTile3::GetType()
{
  return estOCTile3;
}

#endif // __OCTILE3_H__
