#ifndef __OCTILE2_H__
#define __OCTILE2_H__

#include "ocube.h"

//////////////////////////////////////////////////////////////////////////////
// OCTile2
//

class OCTile2 : public OCube
{

//////////////////////////////////////////////////
// Initialization
//
public:
  OCTile2();
  virtual ~OCTile2();

//////////////////////////////////////////////////
// Output
//
public:
  virtual VOID OutputES(FILE *fpOutputFile);

//////////////////////////////////////////////////
// Accessor Functions
//
public:
  virtual inline UINT_32 GetType();

  virtual VOID FindMatrices(Matrix &m1, Matrix &m2, TilePoint *tpt1);

//////////////////////////////////////////////////
// Class Variables
//
protected:

//////////////////////////////////////////////////
// Member Variables
//
protected:

};

//////////////////////////////////////////////////////////////////////
// Inlined Functions
//

inline UINT_32 OCTile2::GetType()
{
  return estOCTile2;
}

#endif // __OCTILE2_H__
