#ifndef __STL_H__
#define __STL_H__

#include "mathlib.h"

enum STLReservedWordType 
{
  stlrwtSolid, 
  stlrwtAscii, 
  stlrwtFacet, 
  stlrwtNormal, 
  stlrwtOuter, 
  stlrwtLoop, 
  stlrwtVertex, 
  stlrwtEndloop, 
  stlrwtEndfacet, 
  stlrwtEnd, 
  stlrwtSize
};

extern CHAR *gcppcSTLReservedWords[stlrwtSize];

VOID WriteSTLPoint(FILE *fpOutputFile, const Point &pt);
VOID WriteSTLVector(FILE *fpOutputFile, const Vector &v);

VOID WriteSTLTriangle(FILE *fpOutputFile, const Point &pt0, const Point &pt1, const Point &pt2);

#endif // __STL_H__
